SolrCollapseFunction::setField
SolrCollapseFunction::setMax
SolrCollapseFunction
PHP Manual

# SolrCollapseFunction::setHint

(PECL solr >= 2.2.0)

SolrCollapseFunction::setHint — Sets collapse hint

### Description

public SolrCollapseFunction SolrCollapseFunction::setHint ( string `$hint` )

Sets collapse hint

### Parameters

`hint`

  Currently there is only one hint available "top_fc", which stands for top level FieldCache

### Return Values

SolrCollapseFunction

### Examples

Example #1 SolrCollapseFunction::setHint() example

`<?php
/* ... */
?>`

The above example will output something similar to:

    ...

SolrCollapseFunction::setField
SolrCollapseFunction::setMax
SolrCollapseFunction
PHP Manual